"""Constants for ferda-pain."""

from enum import Enum, unique


@unique
class PermissionScopes(str, Enum):
    """PAIN permission scopes."""

    VIEW = "view"  # view account, payment, customer, payment request, invoice
    VIEW_IMPORT = "view_import"  # view import history
    EDIT_ACCOUNT = "edit_account"  # create, update, delete account
    EDIT_PAYMENT = "edit_payment"  # mark payment refunded, manually assign payment to processor
    EDIT_PREQUEST = "edit_prequest"  # close payment request
    MAINTAIN = "maintain"  # view and list variable symbol, invoice number, item type, VAT rates
