"""Tests of Ferda hooks."""

from django.test import SimpleTestCase, override_settings
from ferda.tests.utils import LoggerMixin

from ferda_pain.plugin import _PERMISSIONS, create_permissions, show_settings


class CreatePermissionsTest(LoggerMixin, SimpleTestCase):
    """Tests of permissions."""

    def test_create_permissions(self):
        self.assertEqual(create_permissions(), _PERMISSIONS)


@override_settings(FERDA_PAIN_API_URL="http://api.example.com/")
class ShowSettingsTest(LoggerMixin, SimpleTestCase):
    def test_show_settings(self):
        self.assertEqual(
            show_settings(),
            {
                "pain": {
                    "api_url": "http://api.example.com/",
                },
            },
        )
