"""Ferda-pain URLs."""

from django.urls import path, re_path
from ferda.api import PydanticJsonRenderer
from ninja import NinjaAPI

from ferda_pain.api import router
from ferda_pain.views import PainIndexView

api = NinjaAPI(
    urls_namespace="ferda_pain:api",
    openapi_url="/openapi.json",
    csrf=True,
    renderer=PydanticJsonRenderer(),
)
api.add_router("pain", router)

app_name = "ferda_pain"

urlpatterns = [
    path("api/", api.urls),
    re_path("", PainIndexView.as_view(), name="index"),
]
